
QGIS Application - Bug report #21815

Editing a GeoPackage feature with spaces in the field names can crash QGIS

2019-04-09 06:46 PM - Matt Yoder

Status: Open

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.6.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29630

Description

Steps to reproduce:

    1. Add the attached GeoPackage layer to the map.

    2. Toggle editing.

    3. Use the Vertex Tool to move a point.

Renaming the source fields to remove spaces from the field names before editing seems to prevent the crash.

Crash output:

Crash ID: 1bd9d85e72ea45ae97a3eff7dea07ce46a32dcc6

Stack Trace

Index::~Index :

qsort :

Index::~Index :

Index::~Index :

Index::~Index :

Index::~Index :

Index::~Index :

Index::~Index :

Index::~Index :

Index::~Index :

Index::~Index :

QgsPointLocator::onFeatureDeleted :

QgsPointLocator::onGeometryChanged :

QMetaObject::activate :

QgsVectorLayer::geometryChanged :

QMetaObject::activate :

QgsVectorLayerEditBuffer::geometryChanged :

QUndoStack::push :

QgsVectorLayerEditBuffer::changeGeometry :

QgsVectorLayer::changeGeometry :

QgsVertexTool::applyEditsToLayers :

QgsVertexTool::moveVertex :

QgsVertexTool::cadCanvasReleaseEvent :

QgsMapToolAdvancedDigitizing::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :
QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.1-Noosa

QGIS code revision: 2468226bc9

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-04-09 07:04 PM - Brett Carlock

Can confirm here with the supplied data.

#2 - 2019-04-10 05:23 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from Editing to Digitising
No crash here on 3.6.1 on linux.

Please also try a new/clean (qgis) profile, no 3rd party plugins installed.

#3 - 2019-04-10 06:36 PM - Matt Yoder

I can reproduce the crash with a clean profile on both Windows and Mac OS. However, I noticed in my testing that not all of the points in the layer cause the

crash when they are moved. The point with fid 97 consistently causes the crash for me when I try to move it using the Vertex Tool.

#4 - 2019-04-10 06:38 PM - Giovanni Manghi

Matt Yoder wrote:

I can reproduce the crash with a clean profile on both Windows and Mac OS. However, I noticed in my testing that not all of the points in the layer

cause the crash when they are moved. The point with fid 97 consistently causes the crash for me when I try to move it using the Vertex Tool.

not on linux.

Have you tried with a new/clean profile?

#5 - 2019-04-10 06:47 PM - Matt Yoder

Yes, I went to Settings -> New Profile to create a new profile. I get the same crash under Windows and Mac OS with the clean profile. I just tested on

Ubuntu as well, but I don't get the crash there.

#6 - 2019-04-10 06:48 PM - Giovanni Manghi

- Status changed from Feedback to Open

Files

permit.gpkg 112 KB 2019-04-09 Matt Yoder
